Bug 520746 - Upgrade from F10 to F11 Simply Doesn't Work
Upgrade from F10 to F11 Simply Doesn't Work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-02 01:35 EDT by Jay O'Three
Modified: 2014-01-21 18:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:42:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay O'Three 2009-09-02 01:35:49 EDT
Description of problem:  Every Tuesday, after work (for some inexplicable reason), the package manager says it is time to upgrade from F10 to F11.  I dutifully click "OK" and it goes through literally hours of "determining" and "verifying" and whatever other laughable gerunds it claims to be doing.  And then, after it asks to reboot, the very first thing it says is that some new download has not succeeded.  It has been doing this every single Tuesday since F11 was announced.  There does not seem to be a realistic upgrade path from F10 to F11.  Why would it need to download more things after it just spent several hours downloading every single package under the sun???  Why can't Fedora just upgrade versions?  It certainly upgrades packages within F10, but clearly your hostility towards last week's release implies that that will end.


Version-Release number of selected component (if applicable):


How reproducible:
Every single week.

Steps to Reproduce:
1. Turn on Computer.
2. Acknowledge that it is time to upgrade.
3. Wait for hours while it mindlessly downloads packages it will later claim it cannot find, or whatever other sin it is that I have committed.
  
Actual results: I am still running F10.


Expected results: I should be running F11.


Additional info: There is no documentation on how to manually start the process at a reasonable hour, and there is no documentation on what the process is doing, and there is no way to stop it from nagging me every week.  Why????
Comment 1 Bug Zapper 2009-11-18 05:05:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:42:13 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.